import numpy as np
import ipaddress

import radar_manager

# This scrip updates the IP address stored in the configuration flash chip on the FPGA board
# After running this script the FPGA must be power cycled for the new IP to take effect

def main():
    print('Updating IP Address')

    radar = radar_manager.RadarManager(host='192.168.1.200', port=5001)

    # Program Config Flash IP Address
    ip = '192.168.1.200'
    mask = '255.255.255.0'
    gw = '192.168.1.1'
    port = 5001
    radar.update_ip_address(ip, mask, gw, port)

    print('Updating IP Address Complete')

if __name__ == '__main__':

    main()
